//! $ cargo klee --example gpioa --features klee-device
//!
#![no_std]
#![no_main]

extern crate cortex_m;
extern crate klee;
extern crate panic_abort;
extern crate stm32f413;

use cortex_m::peripheral::Peripherals;

#[no_mangle]
fn main() {
    // accesss to core peripherals
    let peripherals = Peripherals::take().unwrap();
    let syst = peripherals.SYST;

    // access to device peripherals
    let p = stm32f413::Peripherals::take().unwrap();
    let gpioa = p.GPIOA;

    if gpioa.moder.read().bits() == 0 && syst.rvr.read() == 0 {
        let _p = Peripherals::take().unwrap();
    }
}
