// cargo klee --example registers --release

#![no_std]
#![no_main]

extern crate klee;
extern crate panic_abort;

extern crate volatile_register;
use volatile_register::{RO, RW, WO};

#[no_mangle]
fn main() {
    let rw: RW<u32> = unsafe { core::mem::uninitialized() };
    let ro: RO<u32> = unsafe { core::mem::uninitialized() };
    let wo: WO<u32> = unsafe { core::mem::uninitialized() };

    unsafe { wo.write(2) };

    if rw.read() == 0 {
        unsafe {
            rw.write(0);
        }
        if rw.read() == 0 {
            panic!();
        }
    }

    if ro.read() == 0 {
        if ro.read() == 0 {
            panic!();
        }
    }
}
