#![no_std]
#![no_main]

extern crate cortex_m;
extern crate klee;
extern crate panic_abort;

use cortex_m::peripheral::Peripherals;

#[no_mangle]
fn main() {
    // access to core peripherals
    let peripherals = Peripherals::take().unwrap();
    let syst = peripherals.SYST;

    if syst.rvr.read() == 0 {
        if syst.cvr.read() == 0x21 {
            panic!();
        }
    }
}
