#![no_std]
#![no_main]

extern crate klee;
extern crate panic_abort;

extern crate cortex_m;

use cortex_m::peripheral::Peripherals;

#[no_mangle]
fn main() {
    let peripherals = Peripherals::take().unwrap();
    let mut dwt = peripherals.DWT;
    dwt.enable_cycle_counter();
    unsafe {
        dwt.ctrl.write(0);
    }
    if dwt.ctrl.read() == 0 {
        if dwt.ctrl.read() == 0 {
            klee::abort();
        };
    };
}
